Loading...
Searching...
No Matches
traversalutilities.hh File Reference
`#include <dune/typetree/traversal.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::TypeTree

## Functions

template<typename ResultType, typename Tree, typename F, typename R>
ResultType | Dune::TypeTree::reduceOverLeafs (const Tree &tree, F functor, R reduction, ResultType startValue)
| Calculate a quantity as a reduction over the leaf nodes of a TypeTree.